using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Browser;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace DynamicSilverlight
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            // Listing 14-7
            HtmlElement targetDiv = HtmlPage.Document.GetElementById("targetDiv");
            targetDiv.SetAttribute("innerText", "Witaj");

        }

        private void Button_Click_2(object sender, RoutedEventArgs e)
        {
            // Listing 14-8
            dynamic targetDiv = HtmlPage.Document.GetElementById("targetDiv");
            targetDiv.innerText = "Witaj";
        }
    }
}
